From 851677c4cc3a5c71c35f518f06187a488e3b510c Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Mar 02 2020 07:49:46 +0000
Subject: [PATCH 90/2232] Remove insignificant parameter names from header


---

diff --git a/include/cxxbridge.h b/include/cxxbridge.h
index aa78c2b..d759c9d 100644
--- a/include/cxxbridge.h
+++ b/include/cxxbridge.h
@@ -38,9 +38,9 @@ public:
   Str() noexcept;
   Str(const Str &) noexcept;
 
-  Str(const std::string &s);
-  Str(const char *s);
-  Str(std::string &&s) = delete;
+  Str(const std::string &);
+  Str(const char *);
+  Str(std::string &&) = delete;
 
   Str &operator=(Str) noexcept;
 
@@ -137,8 +137,8 @@ private:
 };
 #endif // CXXBRIDGE01_RUST_BOX
 
-std::ostream &operator<<(std::ostream &os, const String &s);
-std::ostream &operator<<(std::ostream &os, const Str &s);
+std::ostream &operator<<(std::ostream &, const String &);
+std::ostream &operator<<(std::ostream &, const Str &);
 
 // Snake case aliases for use in code that uses this style for type names.
 using string = String;

